Page MenuHomePhabricator

After closing the reply box on fr.wiki, there is a blue border showing up on the talk page
Closed, ResolvedPublic

Description

After closing the reply box on fr.wiki, there is a blue border showing up on the talk page
Tried on this page: https://fr.wikipedia.org/wiki/Discussion_Wikip%C3%A9dia:Accueil_principal?dtenable=1

Screenshots:


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 11:49 PM
matmarex triaged this task as High priority.Feb 20 2020, 6:20 PM

The blue box appears because of custom styling for discussions on fr.wp. But the underlying issue is in our code, we don't properly clean up cancelled replies. You can also see similar issues when replying to a comment in a bullet list on any wiki (after closing the reply box, some extraneous bullet points will remain visible).

@matmarex can you confirm the following are true?

  • Currently, the discarded reply "traces" are only visible to the person who drafted the comment
  • Currently, the discarded reply "traces" disappear once the the person who drafted the comment refreshes the page

Yes and yes.

Yes and yes.

Gotcha. I'm moving this to "Required before release" (perhaps this was your intention in marking the priority as "High"?).

While this behavior isn't "breaking" by any means, I'd like for people to have confidence the core parts of the workflow (e.g. writing a comment, cancelling a comment, publishing a comment, etc. ) work in the way they expect them to.

Change 574609 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Clean up the interface after discarding a reply

https://gerrit.wikimedia.org/r/574609

Once this is out of code review, @Ryasmeen can take a look at this in production on Thursday

Change 574609 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Clean up the interface after discarding a reply

https://gerrit.wikimedia.org/r/574609

JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.Mar 1 2020, 9:46 PM

The patch wasn't deployed yet – it is now, please try again.

Ryasmeen edited projects, added Verified; removed Editing QA.Mar 5 2020, 7:25 PM

Ok, fixed now.

ppelberg closed this task as Resolved.Mar 5 2020, 7:28 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 5 2020, 7:28 PM